Table of Contents

Class: PathReferenceAcquisitionContext | Twisted-0.19.0/twisted/spread/refpath.py
--- | ---
Base Classes |
--- | ---
PathReferenceContext
Methods |
--- | ---
_lookup acquire childRef diskPath getIndex | getObject locate parentRef relativePath siblingRef
| _lookup
    _lookup (
            self,
            name,
            acquire=0,
            )
Exceptions |
--- | ---
AttributeError, "%s not found." % name
| acquire
    acquire ( self,  name )
Look for an attribute or element by name in all of our parents
| childRef
    childRef ( self,  name )
Return a reference to the named child.
| diskPath
    diskPath ( self )
Return the path to me on disk.
| getIndex
    getIndex ( self )
Dereference this path reference object, then look for an object named `index` inside of it and return it.
| getObject
    getObject ( self )
| locate
    locate ( self,  name )
Get a reference to an object with the given name which is somewhere on the path above us.
| parentRef
    parentRef ( self )
Return a reference to my parent.
| relativePath
    relativePath ( self,  request )
Return the URL to the resource, relative to the current request object
| siblingRef
    siblingRef ( self,  name )
Return a reference to a sibling of mine.

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:20 2002 by HappyDoc version 2.0